### Name: anova
### Title: Anova method for fitted IRT models
### Aliases: anova.grm anova.ltm anova.rasch
### Keywords: methods

### ** Examples


## LRT between the constrained and unconstrained GRMs 
## for the Science data:
m0 <- grm(Science[c(1,3,4,7)], constrained = TRUE)
m1 <- grm(Science[c(1,3,4,7)])
anova(m0, m1)

## LRT between the one- and two-factor models 
## for the Wirs data:
anova(ltm(Wirs ~ z1), ltm(Wirs ~ z1 + z2))

## GoF for the Rasch model for the Lsat data:
m <- rasch(Lsat)
anova(m)

## An LRT between the Rasch and a constrained 
## two-parameter logistic model for the Wirs data: 
m0 <- rasch(Wirs)
m1 <- ltm(Wirs ~ z1, constraint = cbind(c(1, 3, 5), 2, 1))
anova(m0, m1)

## An LRT between the constrained (discrimination 
## parameter equals 1) and the unconstrained Rasch
## model for the Lsat data: 
m0 <- rasch(Lsat, constraint = rbind(c(6, 1)))
m1 <- rasch(Lsat)
anova(m0, m1)

## An LRT between the Rasch and the two-parameter 
## logistic model for the Lsat data: 
anova(rasch(Lsat), ltm(Lsat ~ z1))




