### Name: factor.scores
### Title: Factor Scores
### Aliases: factor.scores factor.scores.grm factor.scores.ltm
###   factor.scores.rasch
### Keywords: multivariate

### ** Examples


## Factor Scores for the Rasch model
m <- rasch(Lsat)
factor.scores(m) # Empirical Bayes

## Factor Scores for the two-parameter logistic model
m <- ltm(Abortion ~ z1)
factor.scores(m, method = "MI", B = 20) # Multiple Imputation

## Factor Scores for the graded response model
m <- grm(Science[c(1,3,4,7)])
factor.scores(m, resp.patterns = rbind(1:4))




